<?php
/**
 * @file
 * ANU styles HTML head.
 *
 * Variables:
 * - $identifier: Page identifier (e.g. canonical URL).
 * - $title: Page title (for use in window title).
 * - $description: Page general description.
 * - $subject: Page content subject line.
 * - $date_modified: Date page was last modified.
 * - $creator: Creator's name.
 * - $creator_address: Creator's contact email address.
 *
 * @see template_preprocess_acton_head()
 * @see template_process_acton_head()
 */
?>
<?php if ($title): ?>
  <meta name="dc.title" content="<?php print $title; ?>" />
<?php endif; ?>
<?php if ($identifier): ?>
  <meta name="dc.identifier" content="<?php print $identifier; ?>" />
<?php endif; ?>
<?php if ($description): ?>
  <meta name="dc.description" content="<?php print $description; ?>" />
<?php endif; ?>
<?php if ($subject): ?>
  <meta name="dc.subject" content="<?php print $subject; ?>" />
<?php endif; ?>
<?php if ($date_modified): ?>
  <meta name="dc.modified" content="<?php print $date_modified; ?>" />
<?php endif; ?>
<?php if ($creator): ?>
  <meta name="dc.creator" content="<?php print $creator; ?>" />
<?php endif; ?>
<?php if ($creator_address): ?>
  <meta name="dc.creator" content="<?php print $creator_address; ?>" />
<?php endif; ?>
<?php if ($description): ?>
  <meta name="description" content="<?php print $description; ?>" />
<?php endif; ?>
<?php if ($subject): ?>
  <meta name="keywords" content="<?php print $subject; ?>" />
<?php endif; ?>